Debian Bug report logs - #614597
libnamespace-clean-perl: Uninstallable alongside libpackage-stash-perl (0.25-1), upstream update needed

version graph

Package: libnamespace-clean-perl; Maintainer for libnamespace-clean-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnamespace-clean-perl is src:libnamespace-clean-perl.

Reported by: Jo Shields <directhex@apebox.org>

Date: Tue, 22 Feb 2011 14:54:02 UTC

Severity: important

Tags: upstream

Found in version libnamespace-clean-perl/0.18-1

Fixed in version libnamespace-clean-perl/0.20-1

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#614597; Package libnamespace-clean-perl. (Tue, 22 Feb 2011 14:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 22 Feb 2011 14:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: submit@bugs.debian.org
Subject: libnamespace-clean-perl: Uninstallable alongside libpackage-stash-perl (0.25-1), upstream update needed
Date: Tue, 22 Feb 2011 14:42:37 +0000
[Message part 1 (text/plain, inline)]
Package: libnamespace-clean-perl
Version: 0.18-1
Severity: important
Tags: upstream

From the changelog to libpackage-stash-perl (0.25-1):

   * Breaks: libclass-mop-perl (<< 1.09~),
libmoosex-roles-withoverloading-perl (<< 0.09~), libnamespace-clean-perl
(<< 0.19~) due to API changes.

As a result, libdbix-class-perl is uninstallable.

Upstream is up to version 0.20 of libnamespace-clean-perl which
supposedly is unaffected by the problem, assuming the numbering in
libpackage-stash-perl is accurate.



-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'),
(500, 'maverick-backports'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-25-generic (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#614597; Package libnamespace-clean-perl. (Tue, 22 Feb 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 22 Feb 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 614597@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: Jo Shields <directhex@apebox.org>, 614597@bugs.debian.org
Cc: Debian Perl List <debian-perl@lists.debian.org>
Subject: Re: Bug#614597: libnamespace-clean-perl: Uninstallable alongside libpackage-stash-perl (0.25-1), upstream update needed
Date: Tue, 22 Feb 2011 10:22:46 -0500
Hello,

Thanks for your bug report.

If I recall correctly, the issue is that:

DBIx::Class requires a new namespace::clean

namespace::clean needs a new Package::Stash

new Package::Stash needs Package::Stash::XS

However, Package::Stash::XS ... well, I guess it was just accepted in
the archive recently. We will prepare the other dependencies and
upload them at our earliest convenience.

Cheers,

Jonathan

On Tue, Feb 22, 2011 at 9:42 AM, Jo Shields <directhex@apebox.org> wrote:
> Package: libnamespace-clean-perl
> Version: 0.18-1
> Severity: important
> Tags: upstream
>
> From the changelog to libpackage-stash-perl (0.25-1):
>
>   * Breaks: libclass-mop-perl (<< 1.09~),
> libmoosex-roles-withoverloading-perl (<< 0.09~), libnamespace-clean-perl
> (<< 0.19~) due to API changes.
>
> As a result, libdbix-class-perl is uninstallable.
>
> Upstream is up to version 0.20 of libnamespace-clean-perl which
> supposedly is unaffected by the problem, assuming the numbering in
> libpackage-stash-perl is accurate.
>
>
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers maverick-updates
>  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'),
> (500, 'maverick-backports'), (500, 'maverick')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.35-25-generic (SMP w/4 CPU cores)
> Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
>
> _______________________________________________
> pkg-perl-maintainers mailing list
> pkg-perl-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-perl-maintainers
>




Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Tue, 22 Feb 2011 16:36:04 GMT) Full text and rfc822 format available.

Notification sent to Jo Shields <directhex@apebox.org>:
Bug acknowledged by developer. (Tue, 22 Feb 2011 16:36:04 GMT) Full text and rfc822 format available.

Message #15 received at 614597-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 614597-close@bugs.debian.org
Subject: Bug#614597: fixed in libnamespace-clean-perl 0.20-1
Date: Tue, 22 Feb 2011 16:32:08 +0000
Source: libnamespace-clean-perl
Source-Version: 0.20-1

We believe that the bug you reported is fixed in the latest version of
libnamespace-clean-perl, which is due to be installed in the Debian FTP archive:

libnamespace-clean-perl_0.20-1.debian.tar.gz
  to main/libn/libnamespace-clean-perl/libnamespace-clean-perl_0.20-1.debian.tar.gz
libnamespace-clean-perl_0.20-1.dsc
  to main/libn/libnamespace-clean-perl/libnamespace-clean-perl_0.20-1.dsc
libnamespace-clean-perl_0.20-1_all.deb
  to main/libn/libnamespace-clean-perl/libnamespace-clean-perl_0.20-1_all.deb
libnamespace-clean-perl_0.20.orig.tar.gz
  to main/libn/libnamespace-clean-perl/libnamespace-clean-perl_0.20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614597@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated libnamespace-clean-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 22 Feb 2011 17:34:38 +0200
Source: libnamespace-clean-perl
Binary: libnamespace-clean-perl
Architecture: source all
Version: 0.20-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 libnamespace-clean-perl - module for keeping imports and functions out of the current names
Closes: 614597
Changes: 
 libnamespace-clean-perl (0.20-1) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * New upstream release.  Closes: #614597
   * Bump (build-)dep on libpackage-stash-perl to >= 0.22.
   * debian/copyright: Update for new upstream release; refer to
     /usr/share/common-licenses/GPL-1; refer to "Debian systems" instead of
     "Debian GNU/Linux systems".
   * Update my email address.
 .
   [ Peter Pentchev ]
   * Update the copyright file to the latest DEP 5 candidate format and
     add my copyright notice.
   * Make the dependency on libsub-name-perl unversioned.
   * Bump the debhelper compatibility level to 8 with no changes.
   * Add myself to the list of uploaders.
 .
   [ gregor herrmann ]
   * Refresh fix-pod-spelling.patch (offset).
Checksums-Sha1: 
 547a6a396321c0a3ad18d5355b1c7b074754fc0c 2409 libnamespace-clean-perl_0.20-1.dsc
 2d47ab7f76719493564a43d55cee1bfbb97f60ff 17257 libnamespace-clean-perl_0.20.orig.tar.gz
 e6e781c5330b6ef267253d7c3ae8ce42558a9b10 3728 libnamespace-clean-perl_0.20-1.debian.tar.gz
 7e861b4163c4bca2c3464554a08ee50629dec4b6 13876 libnamespace-clean-perl_0.20-1_all.deb
Checksums-Sha256: 
 660c157fd921927aeb0ea2efbd899f065143456998aafae15bb665971de9f639 2409 libnamespace-clean-perl_0.20-1.dsc
 35fc7e4d23e4132717991090aedb4278b3e1a0f2be243e38c996048815435ad5 17257 libnamespace-clean-perl_0.20.orig.tar.gz
 521c508700d65223c28ea769da0a5248a4677ac5d24df15b125d22ff185b66a7 3728 libnamespace-clean-perl_0.20-1.debian.tar.gz
 5291458548f46568b632a0f42febdefd398cfd2dc7952b1faad1b8cb147934d7 13876 libnamespace-clean-perl_0.20-1_all.deb
Files: 
 5b2224d0f8b492e253748659348a85c9 2409 perl optional libnamespace-clean-perl_0.20-1.dsc
 e73762d9cbbbcd571126ec724b46c962 17257 perl optional libnamespace-clean-perl_0.20.orig.tar.gz
 1eb3450762df3e45f83627a990e040a4 3728 perl optional libnamespace-clean-perl_0.20-1.debian.tar.gz
 d2ed22e2c560ddc04e9bda6c7436ad55 13876 perl optional libnamespace-clean-perl_0.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNY+F5AAoJELs6aAGGSaoGWJUQAJlmE42NHSbjJkTB+ctqzPC9
UIfZ5JHQnGJSurEYV4N412fkZiOanaoEgGru8FdtDwp0+Gz/Qet0/g0vOqhoNYRW
/eT445wig5OAiLlxotPtmCM8ycU47uK+ICNkfKEZA06jlTNzgRhC4fSra3qtbwvI
uhBy+pL0FEjZBiwYzl/kfRBx6JfbmpG+bhbYlm4GwbjB33ST14ZZaV48X7ZYhJeD
5ewuqG7WQ18+i7q1CwkoTYWxbnTN1LIhaX2sQSStKUjNd6lG/1MHQ+lpxMXaSrmf
zwvo3e/cS+O/oUvrayAox1S1kGGuPz58qay8KS3V/z8gEN3OLqTr+jHmf9BWsinV
964ujxd+7L6GEZEWLBmg67B9RmHqjUU9Lm7ZZ6YhONr7Y3L2p4Da8B0v286GlMDL
Lchz7OZ5rTlzjKcFOkLRtox9dYVS3EAWTrSZmSFVWswKd0Ij/HY/1dxBBqIcpK2R
3KfDYDzuZj8qWO1eMznSUeoUT+PKUhe/8x83p+HadRCOeTOXqo6viw5tn2RWnY+R
rEBao2GkbzA4AuFrmzxITVZzSfSoxvyPt4n7Hks4DBEpb2Qcv6R1W374gObwUqWS
2xFk6V9nVo7AMVbxktI3g6bnJrD610VnrrMBUtJTZftkBtcJva11qCSuccG5acKr
XTbD3d8SXx3Yhuum3Mcp
=ASXl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 09:02:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:55:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.